
Name:		fonts-ttf-spranq-ecofont
Version:	2.02
Release:	%mkrel 4
Summary:	A set of free Truetype fonts (GPL)
Group:		System/Fonts/True type
License:	GPLv1
URL:		http://www.ecofont.com/
# download tarball: http://fr.fonts2u.com/spranq-eco-sans.police
Source0:	spranq_eco_sans.zip
BuildArch:	noarch

Requires(post):		mkfontdir mkfontscale
Requires(postun):	mkfontdir mkfontscale

%description 
Ecofont Vera Sans (originally called Eco Sans) was developed by SPRANQ
in the Netherlands in order to reduce ink consumption when printing.
Each character in the font contains tiny holes, thus reducing the
amount of ink needed by approximately 15 percent when compared to
the Vera Sans family on which Ecofont Sans is based.

%prep
%setup -q -n Spranq_eco_sans

%build

%install
mkdir -p %{buildroot}%{_datadir}/fonts/TTF/%{name}
install -m 0644 *.ttf %{buildroot}%{_datadir}/fonts/TTF/%{name}/
ttmkfdir %{buildroot}%{_datadir}/fonts/TTF/%{name} > %{buildroot}%{_datadir}/fonts/TTF/%{name}/fonts.dir
ln -s fonts.dir %{buildroot}%{_datadir}/fonts/TTF/%{name}/fonts.scale

%post
mkfontscale %{_datadir}/fonts/TTF/%{name}
mkfontdir %{_datadir}/fonts/TTF/%{name}

%postun
mkfontscale %{_datadir}/fonts/TTF/%{name}
mkfontdir %{_datadir}/fonts/TTF/%{name}

%files
%doc *.txt
%dir %{_datadir}/fonts/TTF/%{name}
%{_datadir}/fonts/TTF/%{name}/*.ttf
%verify(not mtime) %{_datadir}/fonts/TTF/%{name}/fonts.dir
%{_datadir}/fonts/TTF/%{name}/fonts.scale

%changelog
* Sun Jan 26 2014 david.david (MLO Team) <david.david> 2.02-4.mga4
+ Rebuild package for Mageia 4 (Core\MLO)
- update URL and Source0
- fix macro used for fonts.scale and fonts.dir files
- version: 2.02

* Sat May 04 2013 david.david (MLO Team) <david.david> 2.02-3.mga3
+ Revision: 3
- correcting "spec" file

* Mon Apr 15 2013 Adrien.D <adrien.d> 2.02-2.mga3
+ Revision 2
- Clean Spec File, and add licence.

* Sun Apr 07 2013 Adrien.D <adrien.d> 2.02-1.mga2
+ Revision 1
- New RPM Package
